Skip to main content
POST
/
storage
/
create
Create a storage volume
curl --request POST \
  --url https://api.example.com/storage/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "size": 100,
  "name": "shared-models",
  "deletion_protection": false
}
'
{
  "storage_id": "<string>",
  "message": "<string>",
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

Storage creation request payload.

Request model for creating a storage volume.

size
integer
required

Storage size in GB. Charged at an hourly rate based on size. Minimum balance requirement: 24 hours of storage cost (unless the organization is whitelisted).

Examples:

100

1000

name
string | null

Optional custom name for the storage.

Example:

"shared-models"

deletion_protection
boolean
default:false

Enable deletion protection to prevent accidental storage volume destruction

Examples:

false

true

Response

Storage creation initiated

Response for POST /storage/create.

storage_id
string
required

TensorPool storage ID

message
string
required

Status message

request_id
string | null

Request ID for tracking